Sync Lipsync 3
Entegre et
sync-lipsync/v3
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/v3?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sync-lipsync/v3?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sync-lipsync/v3", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "sync-lipsync/v3",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
}
Sync Lipsync 3 modelini (sync-lipsync/v3) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/sync-lipsync/v3.md
POST https://api.doitong.com/v1/run/sync-lipsync/v3?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.com/v1/quote/sync-lipsync/v3, çalıştırmadan önce kesin fiyatı döndürür.
Örnekteki gibi dosyalar: $1,334 1.334 API kredisi dosyalarınız çalıştırmadan önce ölçülür Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
İlk sonucunuz burada görünecek
Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/sync-lipsync/v3?wait=20
fiyat → $1,334
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/v3?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sync-lipsync/v3?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sync-lipsync/v3", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "sync-lipsync/v3",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Sync Lipsync 3 hakkında
Sync Labs'in lipsync-3 modeli, videodaki kişinin ağız hareketlerini yeni ses kanalına uyacak şekilde değiştirir; dublaj, reklam yerelleştirme ve post prodüksiyonda replik düzeltme için kullanılır. Ses ve video uzunlukları farklı olduğunda kesme, döngü, geri sıçrama, sessizlikle doldurma veya yeniden eşleme seçeneklerinden birini seçin.
Parametreler
Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar
video_urlgerekli
video
audio_urlgerekli
audio
sync_modeisteğe bağlı
optionsisteğe bağlı
options.sync_modeisteğe bağlı
options.model_modeisteğe bağlı
options.promptisteğe bağlı
options.temperatureisteğe bağlı
options.active_speaker_detectionisteğe bağlı
options.active_speaker_detection.auto_detectisteğe bağlı
options.active_speaker_detection.v3isteğe bağlı
options.active_speaker_detection.use_v2isteğe bağlı
options.active_speaker_detection.frame_numberisteğe bağlı
options.active_speaker_detection.coordinatesisteğe bağlı
options.active_speaker_detection.bounding_boxesisteğe bağlı
options.active_speaker_detection.bounding_boxes_urlisteğe bağlı
options.active_speaker_detection.face_imageisteğe bağlı
options.occlusion_detection_enabledisteğe bağlı
Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "sync-lipsync/v3",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1334,
"usd": "1.334",
"charged": 1334,
"refunded": 0
},
"input": {
"video": "https://content.doitong.com/video/showcase/v3/avatar/talking_avatar_loop.mp4",
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- video
- object {url, content_type, file_name, file_size}Model tarafından üretilen video.
Diğer Sync 3 varyantları
Daha fazla model: Dudak Senkronizasyonu ve Avatarlar
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/sync-lipsync/v3.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt